Name:           colobot
Version:        0.1.9
Release:        %mkrel 1
Summary:        A real-time strategy game with programmable bots
Group:          Games/Strategy
License:        GPLv3+
Url:            http://colobot.info
Source0:        https://github.com/colobot/colobot/archive/colobot-gold-%{version}-alpha.tar.gz

# std::exception_ptr is not supported on armv5
ExcludeArch:    armv5tl

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  po4a
Requires:       %{name}-data >= %{version}

%description
Colobot is a real-time strategy game. In a way. But it isn't.

Unlike most RTS games, Colobot does not require tactics, but it does require
thinking. Another difference would be the fact that you do not control
the game from a 'god' camera, seeing everything from up top, but you have
to control each unit individually. This could potentially cause the problem
of not being able to control two units at once, yet this is when another
twist comes in: Colobot actually has its own interpretation of robot
programming, which is done fully by the player, together with a few hints
and tips from the trusty SatCom.

But then, you can play the game without programming the robots if you want.
This is all up to you!

%prep
%autosetup -n %{name}-colobot-gold-%{version}-alpha

%build
%cmake -DCOLOBOT_INSTALL_LIB_DIR:PATH=%{_libdir}/%{name} \
       -DCOLOBOT_INSTALL_DATA_DIR:PATH=%{_gamesdatadir}/%{name}
%make_build

%install
%make_install -C build

%find_lang %{name}

desktop-file-edit %{buildroot}%{_datadir}/applications/%{name}.desktop \
  --remove-category=AdventureGame \
  --remove-category=Robotics

%files -f %{name}.lang
%doc LICENSE.txt README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/shaders/
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{_mandir}/*/man6/%{name}.6*


%changelog
* Sat Nov 12 2016 akien <akien> 0.1.9-1.mga6
+ Revision: 1066688
- Version 0.1.9

* Tue Jul 19 2016 akien <akien> 0.1.8-1.mga6
+ Revision: 1042599
- Exclue armv5tl arch, it does not support std::exception_ptr
- Version 0.1.8

* Tue Jul 19 2016 neoclust <neoclust> 0.1.7b-2.mga6
+ Revision: 1042516
- Rebuild for armv5

* Tue May 10 2016 akien <akien> 0.1.7b-1.mga6
+ Revision: 1012267
- Version 0.1.7b

* Sun Jan 03 2016 akien <akien> 0.1.6-1.mga6
+ Revision: 919120
- Version 0.1.6.

* Sat Dec 26 2015 daviddavid <daviddavid> 0.1.5-5.mga6
+ Revision: 915159
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 0.1.5-4.mga6
+ Revision: 883668
- rebuild for new boost 1.59.0

* Mon Aug 24 2015 sander85 <sander85> 0.1.5-3.mga6
+ Revision: 869092
- Rebuild for glew 1.13.0

* Sun Aug 02 2015 daviddavid <daviddavid> 0.1.5-2.mga6
+ Revision: 860508
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 0.1.5-1.mga6
+ Revision: 842188
- Install shaders and move custom lib to %%_libdir/%%name
- Version 0.1.5

* Sun Feb 08 2015 akien <akien> 0.1.4-1.mga5
+ Revision: 814191
- Version 0.1.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-6.mga5
+ Revision: 739580
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 693659
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-4.mga5
+ Revision: 678473
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.1.3-3.mga5
+ Revision: 670264
- rebuild for glew

* Thu Jul 03 2014 akien <akien> 0.1.3-2.mga5
+ Revision: 642569
- Remove some desktop file categories

* Thu Jul 03 2014 akien <akien> 0.1.3-1.mga5
+ Revision: 642556
- imported package colobot

